Get Order
curl --request GET \
--url https://api.payvessel.com/vaas/api/v1/gift-cards/orders/{order_id} \
--header 'api-key: <api-key>' \
--header 'api-secret: <api-key>'import requests
url = "https://api.payvessel.com/vaas/api/v1/gift-cards/orders/{order_id}"
headers = {
"api-key": "<api-key>",
"api-secret": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'api-key': '<api-key>', 'api-secret': '<api-key>'}};
fetch('https://api.payvessel.com/vaas/api/v1/gift-cards/orders/{order_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": true,
"message": "<string>",
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"business_id": "<string>",
"merchant_reference": "<string>",
"order_reference": "<string>",
"operator_id": "<string>",
"product_id": "<string>",
"product_name": "<string>",
"country": "<string>",
"amount_naira": 123,
"amount_usd": 123,
"redeem_code": "<string>",
"serial_number": "<string>",
"error_message": "<string>",
"wallet_transaction_id": "<string>",
"created_datetime": "2023-11-07T05:31:56Z",
"updated_datetime": "2023-11-07T05:31:56Z",
"completed_datetime": "2023-11-07T05:31:56Z"
}
}{
"status": false,
"message": "Error message",
"data": {},
"timestamp": "2026-06-25T12:00:00+00:00"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"status": false,
"message": "Error message",
"data": {},
"timestamp": "2026-06-25T12:00:00+00:00"
}Gift Cards
Get Order
Retrieve a gift card order by ID
GET
/
vaas
/
api
/
v1
/
gift-cards
/
orders
/
{order_id}
Get Order
Authorizations
Your PayVessel business API key.
Your PayVessel business API secret.
Path Parameters
⌘I
